/*---------------------------------------------------------------------------*
 *      daemon is attached
 *---------------------------------------------------------------------------*/
void
i4b_l4_daemon_attached(void)
{
   int i;

   int x = SPLI4B();

   for(i=0; i < nctrl; i++)
   {
/*XXX*/      if(*ctrl_desc[i].N_MGMT_COMMAND &&
                (ctrl_desc[i].ctrl_type == CTRL_PASSIVE ||
                 ctrl_desc[i].ctrl_type == CTRL_CAPIMGR))
      {
         NDBGL4(L4_MSG, "CMR_DOPEN sent to unit %d", ctrl_desc[i].unit);
         (*ctrl_desc[i].N_MGMT_COMMAND)(ctrl_desc[i].unit, CMR_DOPEN, 0);
      }
   }
   splx(x);
}

/*---------------------------------------------------------------------------*
 *      daemon is detached
 *---------------------------------------------------------------------------*/
void
i4b_l4_daemon_detached(void)
{
   int i;

   int x = SPLI4B();

   for(i=0; i < nctrl; i++)
   {
/*XXX*/      if(*ctrl_desc[i].N_MGMT_COMMAND &&
                (ctrl_desc[i].ctrl_type == CTRL_PASSIVE ||
                 ctrl_desc[i].ctrl_type == CTRL_CAPIMGR))
      {
         NDBGL4(L4_MSG, "CMR_DCLOSE sent to unit %d", ctrl_desc[i].unit);
         (*ctrl_desc[i].N_MGMT_COMMAND)(ctrl_desc[i].unit, CMR_DCLOSE, 0);
      }
   }
   splx(x);
}
